<template>
<div>
        <div class="row inbox-wrapper">
                        <div class="s col-md-12 col-xl-12 middle-wrapper">
                            <div class="row">
                                <div class="col-md-12 grid-margin">
                                    <div class="card">
                                      <div class="card-body">
                                        <h6 class="card-title">Profil Inovasi</h6>
                                        <Formslot :dataprop="data" @data-prop="getData"></Formslot>
                                            
                                      </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- middle wrapper end -->
                        <!-- right wrapper start -->
                        <!-- right wrapper end -->
                    </div>





</div>
</template>

<script>

import Formslot from './Form.vue';

export default {
    components: {
        Formslot
    },
    props:['dataprop'],
    data() {
         return {
            data:{
                name:'edit',
                type:'edit',
                url:'',
                data:{}
               
            }
         }

    },
    created(){
        this.initial()
       
    },
    methods:{  
        initial(){
           if(!_.isEmpty(this.dataprop)){
                this.data.data = this.dataprop
           }
           this.data.url = `${this.data.url}/${this.data.data.id}`
        },
        getData(value){
            this.toParent(value.action, value.data)
        },
        toParent(action,data){
            let dataEmit = {
                action : action,
                data : data,
                back : this.data.name,
            }
            this.$emit('data-prop', dataEmit)
        },   
    }
}
</script>
<style>

</style>
